<?xml version="1.0" encoding="utf-8"?>
<rules>
  <rule name="Lower Case Rule" stopProcessing="true">
    <match url=".*[A-Z].*" ignoreCase="false" />
    <conditions>
      <add input="{REQUEST_URI}" pattern="(/bundles/|/web\sforms\sfor\smarketers/|/temp/|/styles/|/speak/|/sitecore|tokenservice|asbapi/style|/cms/|/assets/|/tools|sc_|handlers|/media/|\.axd|/icon/|/api/|/xaml/|/feed/|\.asmx|\.ashx|\.aspx|errorpages|sitemap\.xml|\.png|\.jpg)" negate="true" />
    </conditions>
    <action type="Redirect" redirectType="Permanent" url="{ToLower:{URL}}" />
  </rule>
  <rule name="Add Trailing Slash">
    <match url="(.*[^/])$" />
    <conditions>
      <add input="{REQUEST_FILENAME}" matchType="IsFile" negate="true" />
      <add input="{REQUEST_FILENAME}" matchType="IsDirectory" negate="true" />
      <add input="{REQUEST_URI}" pattern="(/bundles/|/web\sforms\sfor\smarketers/|/temp/|/styles/|/speak/|/sitecore|tokenservice|asbapi/style|/cms/|/assets/|/tools|sc_|handlers|/media/|\.axd|/icon/|/api/|/xaml/|/feed/|\.asmx|\.ashx|\.aspx|errorpages|sitemap\.xml|\.png|\.jpg)" negate="true" />
    </conditions>
    <action type="Redirect" redirectType="Permanent" url="{R:1}/" />
  </rule>
  <rule name="ForceHTTPS" enabled="false">
    <match url="(.*)" ignoreCase="false" />
    <conditions >
      <add input="{HTTPS}" pattern="^OFF$" />
    </conditions>
    <action type="Redirect" url="https://{HTTP_HOST}/{R:1}" appendQueryString="true" redirectType="Permanent" />
  </rule>
  <rule name="Redirect to WWW" stopProcessing="true" enabled="false" xdt:Locator="Match(name)" xdt:Transform="InsertIfMissing">
    <match url="(.*)" />
    <conditions>
      <add input="{HTTP_HOST}" pattern="^www\." negate="true"/>
    </conditions>
    <action type="Redirect" url="https://www.{HTTP_HOST}{HTTP_URL}" redirectType="Permanent" appendQueryString="false" />
  </rule>
</rules>
